ch.dieseite.colladaloader.coreproc

## Class DataAssembler.Job

- java.lang.Object
- - ch.dieseite.colladaloader.coreproc.DataAssembler.Job

- Enclosing class:
    DataAssembler

      public static class DataAssembler.Job
      extends java.lang.Object

  contain all infos to do assembling job at runtime A Job may be an iteration or a function
  Author:
    mrcoffee

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.ArrayList<DataAssembler.Job>` | `children` contains subjobs.
    `private java.lang.String` | `classname` function param written by xml parser
    `private char` | `flag` main Var: 'i' = do an iteration, 'f' do a function /method
    `private java.lang.reflect.Method` | `function` if Job is a function this descriptor var is set
    `private DataAssembler.Variable` | `in` In Descriptor written by hardlinker, used as 'list' by iterations
    `private java.util.ArrayList<DataAssembler.Param>` | `inParams` allocation written by hardlinker, used as method params by assembler classes
    `private java.lang.String` | `name` function param written by xml parser
    `private DataAssembler.Variable` | `out` In Descriptor written by hardlinker, my be a return Value from assembler classes or an Iteration tuple
    `private java.lang.String` | `result` function param written by xml parser
    `private java.lang.String` | `source` iteration param written by xml parser
    `private java.lang.String` | `tuple` iteration param written by xml parser

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `private` | `Job()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### flag

          private char flag

      main Var: 'i' = do an iteration, 'f' do a function /method

    - #### children

          private java.util.ArrayList<DataAssembler.Job> children

      contains subjobs. If nested <iteration> is defined or if Job is the root tree then its not emty

    - #### tuple

          private java.lang.String tuple

      iteration param written by xml parser

    - #### source

          private java.lang.String source

      iteration param written by xml parser

    - #### name

          private java.lang.String name

      function param written by xml parser

    - #### classname

          private java.lang.String classname

      function param written by xml parser

    - #### result

          private java.lang.String result

      function param written by xml parser

    - #### inParams

          private java.util.ArrayList<DataAssembler.Param> inParams

      allocation written by hardlinker, used as method params by assembler classes

    - #### in

          private DataAssembler.Variable in

      In Descriptor written by hardlinker, used as 'list' by iterations

    - #### out

          private DataAssembler.Variable out

      In Descriptor written by hardlinker, my be a return Value from assembler classes or an Iteration tuple

    - #### function

          private java.lang.reflect.Method function

      if Job is a function this descriptor var is set

  - ### Constructor Detail

    - #### Job

          private Job()